[mysql-connector-python] version 1.0.6 (beta), remove non GPL documentation

Remi Collet remi at fedoraproject.org
Fri Sep 7 06:10:58 UTC 2012


commit 8db8c5b5478f47293e90ae602bbb26471ed87d65
Author: remi <fedora at famillecollet.com>
Date:   Fri Sep 7 08:10:40 2012 +0200

    version 1.0.6 (beta), remove non GPL documentation

 .gitignore                  |    1 +
 mysql-connector-python.spec |   29 +++++++++++++++++------------
 sources                     |    2 +-
 stripdocs.sh                |   33 +++++++++++++++++++++++++++++++++
 4 files changed, 52 insertions(+), 13 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index af95c6d..0da12b3 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
 *spec~
 /mysql-connector-python-0.3.2-devel.tar.gz
 /mysql-connector-python-1.0.5.tar.gz
+/mysql-connector-python-1.0.6b1-nodocs.tar.bz2
diff --git a/mysql-connector-python.spec b/mysql-connector-python.spec
index 58fb9b1..116cc70 100644
--- a/mysql-connector-python.spec
+++ b/mysql-connector-python.spec
@@ -5,19 +5,19 @@
 %else
 %global with_python3 0
 %endif
+%global versuffix    b1
 
 Name:           mysql-connector-python
-Version:        1.0.5
-Release:        2%{?dist}
+Version:        1.0.6
+Release:        1%{?versuffix:.%{versuffix}}%{?dist}
 Summary:        MySQL Connector for Python 2
 
 Group:          Development/Languages
 License:        GPLv2 with exceptions
 URL:            http://dev.mysql.com/usingmysql/python/
-# Upstream has a mirror redirector for downloads, so the URL is hard to
-# represent statically.  You can get the tarball by following a link from
-# http://dev.mysql.com/downloads/connector/python/
-Source0:        %{name}-%{version}.tar.gz
+# Launch stripdocs.sh to remove non GPL documentation
+Source0:        %{name}-%{version}%{?versuffix}-nodocs.tar.bz2
+Source1:        stripdocs.sh
 
 BuildArch:      noarch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -47,12 +47,15 @@ is necessary to run this Python DB API v2.0 compliant driver.
 
 
 %prep
-%setup -q
+%setup -q -n %{name}-%{version}%{?versuffix}
 chmod -x python?/examples/*py
+mv docs/README.txt README-docs
 
+sed -e '/raise$/d' \
+    -i metasetupinfo.py
 
 %build
-# nothin to build
+# nothing to build
 
 
 %install
@@ -85,22 +88,24 @@ rm -rf $RPM_BUILD_ROOT
 
 %files
 %defattr(-,root,root,-)
-%doc ChangeLog COPYING README
+%doc ChangeLog COPYING README*
 %doc python2/examples
-%doc docs
 %{python_sitelib}/*
 
 
 %if 0%{?with_python3}
 %files -n mysql-connector-python3
 %defattr(-,root,root,-)
-%doc ChangeLog COPYING README
+%doc ChangeLog COPYING README*
 %doc python3/examples
-%doc docs
 %{python3_sitelib}/*
 %endif
 
 %changelog
+* Fri Sep  7 2012 Remi Collet <remi at fedoraproject.org> - 1.0.6-1.b1
+- version 1.0.6 (beta)
+- remove non GPL documentation
+
 * Fri Aug 10 2012 Remi Collet <remi at fedoraproject.org> - 1.0.5-2
 - disable test_bugs with MySQL 5.1 (EL-6)
 
diff --git a/sources b/sources
index 2755b3a..e05fc33 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-5c3c0b1ad696610a4df944cb82651c10  mysql-connector-python-1.0.5.tar.gz
+bc2a2cc86930a01de6d1245800843e27  mysql-connector-python-1.0.6b1-nodocs.tar.bz2
diff --git a/stripdocs.sh b/stripdocs.sh
new file mode 100755
index 0000000..b28fb7a
--- /dev/null
+++ b/stripdocs.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+if [ "$1" = "" ]; then
+	echo usage $0  version
+	exit 1
+fi
+
+if [ ! -f mysql-connector-python-$1.tar.gz ]; then
+	echo please download mysql-connector-python-$1.tar.gz
+	echo http://dev.mysql.com/downloads/connector/python/
+	exit 1
+fi
+
+tdir=`mktemp -d tmpXXXXXX`
+pushd $tdir
+
+echo -n "unpacking..."
+tar xzf ../mysql-connector-python-$1.tar.gz && echo " done"
+rm -rf mysql-connector-python-$1/docs/my*
+echo -n "packing..."
+tar cjf ../mysql-connector-python-$1-nodocs.tar.bz2 mysql-connector-python-$1 && echo " done"
+
+echo -n "diffing..."
+tar tzf ../mysql-connector-python-$1.tar.gz | sort >before
+echo -n "..."
+tar tjf ../mysql-connector-python-$1-nodocs.tar.bz2  | sort >after
+
+diff before after
+
+popd
+echo "cleaning..."
+rm -rf $tdir
+


More information about the scm-commits mailing list